
=pod

=head1 NAME

SDL::Deprecated - Log of Deprecated items per release

=head1 CATEGORY

Core

=head1 RELEASES

=head2 2.517

Major changes to C<SDLx::Controller>.

C<quit> is now C<stop>. Event handlers no longer end C<run> on returning false. Call C<stop> explicitly instead.

The first argument to move handlers is the step portion instead of C<dt>.
The second argument to move handlers, the C<t> value, is now the third argument.

C<min_t> will limit apps to a framerate of 60 by default.

=head2 2.513

=over 

=item SDLx::App

C<SDLx::App::loop()> is deprecated.

=back

=head2 2.502

=over

=item SDLx::App

Now depends on L<SDLx::Surface>. To get the SDL::Surface, use C< ->surface() >. Alternatively L<SDLx::Surface::display()|SDLx::Surface/display>.

=item SDLx::Surface

C< get_display > is now called L<SDLx::Surface::display|SDLx::Surface/display>. 

=item SDLx::Sprite::Animated

Has drastically changed, and is still volatile.

=back

=head2 2.500

=over 

=item SDL::App 

SDL::App has migrated to SDLx::App namespace. The reason for this is because it is an extension and not a 1:1 XS/Constant Module to the c library.

=item SDL::Game::Rect 

SDL::Game::Rect has migrated to SDLx::Rect namespace. Same reasoning as above.

=back

=head1 AUTHORS

See L<SDL/AUTHORS>.

=cut
